﻿CREATE DATABASE mywebsite_db DEFAULT CHARACTER 
SET
    utf8; 

USE mywebsite_db; 

-- ユーザーテーブル
CREATE TABLE user ( 
    user_id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , user_name varchar (255) NOT NULL
    , admin_flag boolean NOT NULL default 0
    , post_code varchar (255) NOT NULL
    , address varchar (255) NOT NULL
    , birth_date date NOT NULL
    , login_id varchar (255) NOT NULL UNIQUE
    , password varchar (255) NOT NULL
    , create_date datetime NOT NULL
    , update_date datetime NOT NULL
); 

-- ユーザーテーブルのデータ
INSERT 
INTO user ( 
    user_name
    , admin_flag
    , post_code
    , address
    , birth_date
    , login_id
    , password
    , create_date
    , update_date
) 
VALUES ( 
    'admin'
    , 1
    , '1000000'
    , '東京都千代田区'
    , '2222/2/22'
    , 'admin'
    , 'adminPass'
    , now()
    , now()
); 

-----------------------------------------------------------------------
-- 配送方法テーブル
CREATE TABLE delivery_method( 
    delivery_method_id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , name varchar (255) NOT NULL UNIQUE
    , price int NOT NULL
); 

-- 配送方法テーブルのデータ
INSERT 
INTO delivery_method(name, price) 
VALUES ('お急ぎ便', 800)
, ('日時指定配送', 400)
, ('通常配送', 0); 

------------------------------------------------------------------------
-- 商品テーブル
CREATE TABLE item( 
    item_id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , item_name varchar (255) NOT NULL UNIQUE
    , item_detail text NOT NULL
    , item_price int NOT NULL
    , item_image varchar (255) NOT NULL
); 

ALTER TABLE item DROP INDEX item_name;

ALTER TABLE item ADD create_date datetime NOT NULL;
ALTER TABLE item ADD update_date datetime NOT NULL;

ALTER TABLE item DROP create_date;
ALTER TABLE item DROP update_date;

-- 商品テーブルのデータ
INSERT 
INTO item(item_name, item_detail, item_price, item_image) 
VALUES ( 
    '【１点物】ラピスラズリ （原石）'
    , '日本では幸運のお守り、七宝の１つ“瑠璃”として親しまれ、古代エジプトでは護符として愛されていたラピスラズリ。夜空に散りばめられた星の輝きを彷彿させる世界感をもつ天然石のパワーを借りて、あなたの毎日をさらなる幸福で包み込んでみませんか？'
    , 21000
    , 'DSC01018.jpeg'
) 
, ( 
    '【スモーキークォーツ ロッククリスタル（小さめ）】約200g入り 6-10個入り 約3-5cm ナチュラルなラフ原石【ブラジル産】'
    , '大人気の氷のようなスモーキークォーツ原石入荷です！　インテリアやパワーストーンアクセサリーの浄化にうってつけです！！　ナチュラルなままの結晶なので原石の魅力をしっかりと味わうことができます！　鉱物標本、コレクションとして是非！！'
    , 900
    , 'imgrc0075693485.jpg'
) 
, ( 
    '【１点物】シトリン ポイント'
    , '透明度が高く、クラック（内包物）が少ないクリアなダブルポイントです。　ブラジル産シトリンの良い部分がつまった高品質なアイテムです。'
    , 2900
    , 'a25953-2_700.jpg'
) 
, ( 
    '【アメジスト（紫水晶）不定形六角錐】重さ80-90g'
    , '珍しい形のアメジスト、不定形の六角錐で、先端から８割程度の高さから幅が絞られています！　底切りタイプのつやつやポリッシュ。　透明感のある紫アメジストで、通常の六角柱は既に持っている方や、珍しい形に魅かれた方にオススメです！'
    , 2300
    , 'imgrc0072081900.jpg'
) 
, ( 
    'パワーストーン アンモライト 原石ルース(赤緑系)置き物'
    , 'アンモライトは白亜紀後期（約7200万年前）の海中に生息していたアンモナイトが化石化していく過程で土壌から影響を受けて生み出された虹色の輝き（イリデッセンス効果）を持つ、真珠などと同じ生物起源の宝石です。　アンモライトは世界で唯一、カナダのアルバータからのみ産出される大変貴重なもので、膨大な年月と世界唯一の地理的条件が重なって生み出されたアンモライトは、地球規模の歴史と自然が生み出した【奇跡の宝石】なのです。'
    , 4000
    , '8454xx1.jpg'
) 
, ( 
    '１個売り【ブラックトルマリン（電気石）結晶 原石】'
    , '☆重さ80グラム-100グラムの１個売りです。　目安の大きさ 79gで39mm×34mm、118gで46mm×35mm。トルマリンは、現在５分類１３種類に分けられており、その色と性質によってパワーもそれぞれ違ってきます。　どの種類のトルマリンにも共通して、身体に有害な電磁波を防ぐという効果がありますので、携帯電話やパソコンなどをひんぱんに使っている方にお勧めのパワーストーンです。　まるで木炭のような見た目をしているブラックトルマリン原石。　艶々光沢柱状結晶で高級感、重厚感があります。'
    , 800
    , 'imgrc0073648962.jpg'
) 
, ( 
    '浄化チップス約100g （ヒマラヤ水晶)'
    , '浄化作用があるということで知られる天然石のチップス。お持ちの天然石をチップスの上に置いておくだけで浄化できます。日光などでの浄化に適していない天然石のリセットにも最適です。浄化用としてだけでなく、お部屋のインテリアやガーデニングなどにもご使用いただけます。'
    , 900
    , '06261114_51ca4e8ae69b3.jpg'
) 
, ( 
    'ハイクオリティ―浄化チップス （インカローズ）'
    , '過去を癒し､未来の幸福をもたらすといわれているインカローズのチップス。お持ちの天然石をチップスの上に置いておくだけで浄化できます。日光などでの浄化に適していない天然石のリセットにも最適です。かわいいミニビンに入ったチップは､浄化用としてだけでなく、お部屋のインテリアやガーデニングなどにもご使用いただけます。'
    , 1800
    , 'DSC04645_.jpeg'
) 
, ( 
    '浄化チップス約100g （ローズクォーツ）'
    , '10月の誕生石でもあるローズクォーツのチップス。お持ちの天然石をチップスの上に置いておくだけで浄化できます。日光などでの浄化に適していない天然石のリセットにも最適です。浄化用としてだけでなく、お部屋のインテリアやガーデニングなどにもご使用いただけます。'
    , 800
    , '06261348_51ca728301813.jpg'
) 
, ( 
    '浄化チップス約100g （アメジスト）'
    , '2月の誕生石でもあるアメジストのチップス。お持ちの天然石をチップスの上に置いておくだけで浄化できます。日光などでの浄化に適していない天然石のリセットにも最適です。浄化用としてだけでなく、お部屋のインテリアやガーデニングなどにもご使用いただけます。'
    , 800
    , '06261132_51ca52daa8c66.jpg'
) 
, ( 
    '浄化チップス約100g （シトリン）'
    , '6月の誕生石でもあるシトリンのチップス。お持ちの天然石をチップスの上に置いておくだけで浄化できます。日光などでの浄化に適していない天然石のリセットにも最適です。浄化用としてだけでなく、お部屋のインテリアやガーデニングなどにもご使用いただけます。'
    , 1200
    , '06261045_51ca47b43c2e3.jpg'
) 
, ( 
    '浄化チップス約100g （アパタイト）'
    , '浄化作用があるということで知られる天然石のチップス。お持ちの天然石をチップスの上に置いておくだけで浄化できます。日光などでの浄化に適していない天然石のリセットにも最適です。浄化用としてだけでなく、お部屋のインテリアやガーデニングなどにもご使用いただけます。'
    , 1500
    , '06260958_51ca3cb8b5537.jpg'
) 
, ( 
    'アクアマリン さざれ 1パック25g'
    , '部屋や石の浄化祈願に 天然石 パワーストーン'
    , 580
    , 'sazare-aqua-5.jpg'
) 
, ( 
    '天然石浄化用 さざれ 色とりどり全カラー MIXトルマリン'
    , '限定入荷！天然石ブレスを作る際に出る原石のかけらを利用して作られた貴重なさざれ石です！　中には希少なパライバトルマリン(ブルー)や透明なピンクトルマリン（ルベライト）！ウォーターメロンの結晶や円柱状のグリーントルマリンの結晶なども入ってます！　おススメです。'
    , 1100
    , 'imgrc0076183754.jpg'
) 
, ( 
    'パワーストーン ウルグアイ産 アメジスト クラスター 置き物'
    , 'サイズ：約71～112×50～86×高さ35～40mm 重さ：約254～299g レディース メンズ 勝負 恋愛 天然石'
    , 9800
    , '12855xx8.jpg'
) 
, ( 
    'テラヘルツ鉱石 原石'
    , '約80g-95g つやつや光沢 話題の 高純度 テラヘルツ 鉱石 2020年 検査機関にて検査済み'
    , 600
    , 'imgrc0073139209.jpg'
) 
, ( 
    'ラブラドライト原石（重さ3794g 横幅18.4cm 高さ19.3cm 奥行8.5cm 台座なし）'
    , '「インスピレーションの石」と言われるラブラドライト。美術・音楽などインスピレーションを活かした職業に携わる人、作家、カメラマン・デザイナー・芸能関係など一芸・才能を伸ばして人生の勝負をかける人にお勧め。※写真に一緒に映っている透明水晶玉は２５ｍｍ玉です。サイズを比較するために一緒に撮影をしております。そのため商品には含まれません。'
    , 62000
    , '7931a.jpg'
) 
, ( 
    'ユーパーライト タンブル Lサイズ'
    , 'ユーパーライトはアメリカ・ミシガン州にあるスペリオル湖の湖畔で2017年に発見された新種の石です。　ユーパーライトは、UVライト（ブラックライト）を照射すると発光するという特性を持ちます。　その名称は、ミシガン州のアッパー半島に暮らす人「ユーパーズ」にちなんで付けられたそうです。　一見するとどこにでもあるような石に見えますが、紫外線をあてることによって美しく輝く神秘的な石です。　ユーパーライトは災いから身を守る、魔除けなどの効果が期待できると言われています。　また物事の見方を変えるだけで、視野が広がるなどもメッセージもあるようです。'
    , 1300
    , 'compass1639724152.jpg'
) 
, ( 
    'タイガーアイ 原石 約80グラム前後'
    , '仕事運・勝負運祈願の石として有名です。虎の目は「全てを見通す目」といわれ、厄災を退け成功をもたらしてくれると伝えられています。虎目石の種類の中でも、特に青虎目石は物事を冷静に判断する、赤虎目石は恋愛を引き寄せる、白虎目石は身に降りかかる災難を跳ね除ける、混合虎目石は自己矛盾を解消してくれるといわれております。'
    , 600
    , '2000900800883_4.jpg'
) 
, ( 
    '濃厚色 ガーネット 結晶さざれ】50グラム'
    , '色によって呼び名の変わるガーネット、ブレスレットでも大人気の紫系ロードライトや赤系のアルマンダインガーネットまで入ったラフ結晶さざれが限定入荷！　他店では中々見かけない、透明度の高いラフタイプ。　インテリアやハンドメイド作品、レジン封入や小瓶の飾りなどにオススメです。'
    , 790
    , 'imgrc0075941870.jpg'
) 
, ( 
    'サファイア さざれ 石 粒 10グラム'
    , 'サファイア の さざれ 石 粒 タイプ です。　さざれと言っても 原石 ような感じですが、触った感触はサファイアの硬さを感じることが出来ます。他の天然石のように丸く研磨されたさざれではなく、これから研磨し、ビーズになる前の原石のようです。3mm程度でもビーズに加工される希少なサファイアです。'
    , 1050
    , 'safa.jpg'
) 
, ( 
    '【テラヘルツ鉱石 原石】約110g-125g'
    , '健康系の云われで人気の高いテラヘルツ鉱石！　その純度が品質として考えられることが多く、サンプルを用いエネルギー分散型蛍光エックス線分析を行い、結果を掲載させていただきました。　サンプルの為、個別の誤差は想定されますが、とても高純度のタイプとなっております。'
    , 800
    , 'imgrc0073139212.jpg'
) 
, ( 
    '１個売り 鑑別済み【天然ロードナイト 結晶 原石】'
    , '希少な原石タイプの天然ロードナイトが入荷いたしました！！　産地不明ですが、ロシア産と思われる濃いめのピンク発色、透明感のある結晶は価格以上ですよ。　ロードナイトは優しい愛のエネルギーを持つといわれ、友愛や家族愛の象徴とされています。　また、ストレスや疲労を緩和する力があるとされ、日常のお守りのような役割でもお使い頂けます。　入荷の少ない珍しい品質ですのでお早めに。'
    , 940
    , 'imgrc0073958534.jpg'
) 
, ( 
    'さざれ石 スギライト 20g'
    , 'スギライトはチャロアイト、ラリマーと並ぶ三大ヒーリングストーンです。　1940年に愛媛県で発見された比較的新しいパワーストーンです。　色が濃いものや黒っぽいものは外部のマイナスエネルギーを退けます。'
    , 500
    , 'compass1604996693.jpeg'
) 
, ( 
    'グリーンフローライト ポイント'
    , '85mm×27mm×27mm（原石の最長部計測）　別名「天才の石」とも呼ばれ、知性を高める石として人気の高いフローライトです。'
    , 4700
    , 'a13036-1_700.jpg'
) 
, ( 
    'アメジスト 六角柱 原石 一点物 48g'
    , '2月の誕生石として知られている麗しき紫色のクリスタル、アメジスト。　ギリシャ語で「amethystos」は『酒に酔わない』という意味を持ち、古代ローマではアメジストの杯でお酒を楽しむことが多かったようです。　そこには、お酒に酔わないこともそうですが、人生の悪酔いからも身を守ってくれるという言い伝えが残っています。　また、キリスト教では「司教の石」として、アメジストをお守りとして身につけていたとも伝えられています。'
    , 700
    , '142-5702.jpg'
) 
, ( 
    '【１点物】クリソコラ　50x88mm'
    , 'クリソコラは、銅鉱床の酸化帯で、アジュライトやマラカイト、ヘマタイト等とともに産出します。　クリソコラは和名を「珪孔雀石（けいくじゃくせき）」と言います。　マラカイトの和名を「孔雀石」と言いますが、クリソコラの和名と似ている理由は マラカイトの組成に、珪素を加えたような組成となっているからです。　ブルーが本体の多くを占め、グリーンやブラウンなどのカラーが混ざり合って、 出来ているため、丸く加工されたクリソコラは、宇宙から見た地球のような外観となっています。'
    , 9000
    , 'dsc_3998.jpeg'
) 
, ( 
    'アズロマラカイト 原石 330g'
    , '深い藍青色の神秘的な力を持つパワーストーンです。古代文明では霊石とされてきました。　心のざわめきをおさえ、意識を集中させることをうながします。「第三の目」を開く石として、潜在能力を開花させ想像力を高めてくれます。　知識や既成概念でこちこちになった頭に新風を吹き込み・風通しをよくしてくれる哲学的な石です。'
    , 18500
    , 'a16440-1_700.jpg'
) 
, ( 
    '【１点物】ヘミモルファイト　46x29mm'
    , 'ヘミモルファイトは和名を「異極鉱」と言い、この石の結晶の形が柱板状の結晶の片方が尖り、もう片方が平になっている 両極の形が異なるため、それが語源となっています。　また、英名の語源も同じく「Hemimorphism（異極晶）」が由来となっています。　その独特な形の結晶から、ヘミモルファイトは原石に人気があります。　ヘミモルファイトは、美しい緑色や青色のものとしてのイメージがありますが、 結晶は白色や無色透明のものもあります。'
    , 4900
    , 'dsc_2297.jpg'
) 
, ( 
    'オイルインクォーツ 水晶 原石 石油入り オイルクォーツ 一点物 171-3002'
    , 'パキスタンにあるバルチスタン州（バローチスターン）で採れる水晶で、和名を石油入り水晶といいます。その名の通り、水晶の中に石油が閉じ込められた非常に希少なパワーストーンです。　オイルインクォーツは紫外線を当てると光る性質を持っているので、ブラックライトなどで照らすと非常に美しく輝きます。'
    , 800
    , '171-3002_1.jpeg'
) 
, ( 
    'オイルインクォーツ 水晶 原石 石油入り オイルクォーツ 一点物 171-2938'
    , 'パキスタンにあるバルチスタン州（バローチスターン）で採れる水晶で、和名を石油入り水晶といいます。その名の通り、水晶の中に石油が閉じ込められた非常に希少なパワーストーンです。　オイルインクォーツは紫外線を当てると光る性質を持っているので、ブラックライトなどで照らすと非常に美しく輝きます。'
    , 800
    , '171-2938_1.jpg'
) 
, ( 
    '赤縞瑪瑙 原石 65g'
    , '瑪瑙(めのう)はひとつの結晶のように見えますが、たくさんの石英結晶が集まってできている、美しい模様の半透明のパワーストーンです。　古くからさまざまな国々で、装飾品や身を守るものとして珍重され、日本の古代でも勾玉の材料として使われてきました。　古代の人々はこの石にある心の不安を取りのぞく力に助けられてきたのです。'
    , 2200
    , 'a19657-1_700.jpg'
) 
, ( 
    'オイルインクォーツ 水晶 原石 石油入り オイルクォーツ 一点物 171-3083'
    , 'パキスタンにあるバルチスタン州（バローチスターン）で採れる水晶で、和名を石油入り水晶といいます。その名の通り、水晶の中に石油が閉じ込められた非常に希少なパワーストーンです。　オイルインクォーツは紫外線を当てると光る性質を持っているので、ブラックライトなどで照らすと非常に美しく輝きます。'
    , 1000
    , '171-3083_1.jpeg'
); 

------------------------------------------------------------------------
-- 購入テーブル
CREATE TABLE buy( 
    buy_id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , user_id int
    , delivery_method_id int
    , coupon_user_id int
    , total_price int NOT NULL
    , buy_date datetime NOT NULL
); 

ALTER TABLE buy ADD use_coupon_discount int default 0;
ALTER TABLE buy ADD coupon_id int;

------------------------------------------------------------------------
-- 購入詳細テーブル
CREATE TABLE buy_detail( 
    id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , item_id int NOT NULL
    , buy_id int NOT NULL
); 

------------------------------------------------------------------------
-- クーポンマスタテーブル
CREATE TABLE coupon_master( 
    coupon_id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , coupon_name varchar (255) NOT NULL UNIQUE
    , coupon_limit datetime
    , discount_yen int default 0
    , discount_percent int default 0
    , free_shipping boolean default 0
    , coupon_cade varchar (255)
); 

-- クーポンマスタテーブルのデータ
INSERT 
INTO coupon_master(coupon_name, discount_yen) 
VALUES ('10回ログインクーポンくじ（100円引き）', 100); 

INSERT 
INTO coupon_master(coupon_name, discount_percent) 
VALUES ('商品合計から5%OFFクーポン', 5); 

------------------------------------------------------------------------
-- クーポンユーザーテーブル
CREATE TABLE coupon_user( 
    coupon_user_id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , user_id int
    , coupon_id int
    , coupon_get_date datetime NOT NULL
); 

INSERT INTO coupon_user (user_id, coupon_id, coupon_get_date)VALUES(2,3,now());
------------------------------------------------------------------------
-- ログイン回数テーブル
CREATE TABLE login_count( 
    login_count_id int PRIMARY KEY NOT NULL UNIQUE AUTO_INCREMENT
    , user_id int NOT NULL
); 

ALTER TABLE login_count ADD create_date datetime NOT NULL;
------------------------------------------------------------------------
